curl --request POST \
--url https://test-api.pasca.co/api/v1/einvoice/irn/validate \
--header 'API-KEY: <api-key>' \
--header 'API-SECRET: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"irn": "TEST001-6244CC45-20250629",
"business_id": "{{YOUR_BUSINESS_ID}}"
}
'{
"code": 200,
"data": {
"ok": true
}
}POST /api/v1/einvoice/irn/validate
curl --request POST \
--url https://test-api.pasca.co/api/v1/einvoice/irn/validate \
--header 'API-KEY: <api-key>' \
--header 'API-SECRET: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"irn": "TEST001-6244CC45-20250629",
"business_id": "{{YOUR_BUSINESS_ID}}"
}
'{
"code": 200,
"data": {
"ok": true
}
}/api/v1/einvoice/irn/validate
curl -X POST "{{BASE_URL}}/api/v1/einvoice/irn/validate" \
-H "API-KEY: <your_api_key>" \
-H "API-SECRET: <your_api_secret>" \
-H "Accept: application/json"
{
"irn": "TEST001-6244CC45-20250629",
"business_id": "{{YOUR_BUSINESS_ID}}"
}
{
"code": 200,
"data": {
"ok": true
}
}
{
"code": 400,
"data": null,
"message": "error has occurred",
"error": {
"id": "fe9db3ab-8efa-4ddd-b7a5-47dc2a4e151a",
"handler": "invoice_actions",
"details": "irn validation failed for this business, refer to the template and try again",
"public_message": "validation failed: we are unable to process your request. also confirm this is not a duplicate request"
}
}
{
"status": false,
"code": 401,
"message": "Unauthorized",
"data": null,
"error": {
"details": "invalid or missing API credentials"
}
}